GET api/communicationupdatesappointments/search?page={page}&itemPerPage={itemPerPage}&appointmentExternalID={appointmentExternalID}&method={method}&alreadySent={alreadySent}
Returns a list of appointments changed through communications.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| page |
Page number requested (search results are paginated). |
integer |
Default value is 1 |
| itemPerPage |
Items to return on each page. See page parameter above. |
integer |
Default value is 10 |
| appointmentExternalID |
Appointment external ID. |
string |
Default value is empty string ("") |
| method |
Filters the list of appointment update based on communication method. |
string |
Default value is empty string ("") |
| alreadySent |
Filters the list of appointment update based on whether they have been sent to the integrating system or not. |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
ListModelOfAppointmentUpdateModel| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalItems | integer |
None. |
|
| ItemsPerPage | integer |
None. |
|
| CurrentPage | integer |
None. |
|
| TotalPages | integer |
None. |
|
| FirstRowOnPage | integer |
None. |
|
| LastRowOnPage | integer |
None. |
|
| Rows | Collection of AppointmentUpdateModel |
None. |
Response Formats
application/json, text/json
Sample:
{
"totalItems": 1,
"itemsPerPage": 2,
"currentPage": 3,
"totalPages": 4,
"firstRowOnPage": 5,
"lastRowOnPage": 6,
"rows": [
{
"appointmentUpdateID": "4311f6d0-dd60-4905-9382-44741ae93fc8",
"appointmentExternalID": "sample string 1",
"updateStatusTo": "sample string 4",
"method": "sample string 2"
},
{
"appointmentUpdateID": "4311f6d0-dd60-4905-9382-44741ae93fc8",
"appointmentExternalID": "sample string 1",
"updateStatusTo": "sample string 4",
"method": "sample string 2"
}
]
}
application/xml, text/xml
Sample:
<ListModelOfAppointmentUpdateModelWsheF_SjE xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
<CurrentPage>3</CurrentPage>
<FirstRowOnPage>5</FirstRowOnPage>
<ItemsPerPage>2</ItemsPerPage>
<LastRowOnPage>6</LastRowOnPage>
<Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentUpdates">
<d2p1:AppointmentUpdateModel>
<d2p1:AppointmentExternalID>sample string 1</d2p1:AppointmentExternalID>
<d2p1:AppointmentUpdateID>4311f6d0-dd60-4905-9382-44741ae93fc8</d2p1:AppointmentUpdateID>
<d2p1:Method>sample string 2</d2p1:Method>
<d2p1:UpdateStatusTo>sample string 4</d2p1:UpdateStatusTo>
</d2p1:AppointmentUpdateModel>
<d2p1:AppointmentUpdateModel>
<d2p1:AppointmentExternalID>sample string 1</d2p1:AppointmentExternalID>
<d2p1:AppointmentUpdateID>4311f6d0-dd60-4905-9382-44741ae93fc8</d2p1:AppointmentUpdateID>
<d2p1:Method>sample string 2</d2p1:Method>
<d2p1:UpdateStatusTo>sample string 4</d2p1:UpdateStatusTo>
</d2p1:AppointmentUpdateModel>
</Rows>
<TotalItems>1</TotalItems>
<TotalPages>4</TotalPages>
</ListModelOfAppointmentUpdateModelWsheF_SjE>